package de.ivu.elect.business.wahl.entity;

/**
 * on 08.06.2017.
 */
public enum WahlResetStatus {

  OHNE,
  WARTET,
  LAEUFT {
    @Override
    public boolean isLoeschenMoeglich() {
      return false;
    }

    @Override
    public boolean isZurueckSetzenLaeuftGerade() {
      return true;
    }
  },
  ABGESCHLOSSEN,
  FEHLER;

  public boolean isLoeschenMoeglich() {
    return true;
  }

  public boolean isZurueckSetzenLaeuftGerade() {
    return false;
  }
}
